Name:           synfig
Version:        0.62.00
Release:        1%{?dist}
Summary:        2D Vector Animation program

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://synfig.org/
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ETL-devel
BuildRequires:  ImageMagick-c++-devel
BuildRequires:  OpenEXR-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  libdv-devel
BuildRequires:  libxml++-devel
BuildRequires:  pkgconfig

%description
Synfig is a powerful, industrial-strength vector-based 2D animation 
software package, designed from the ground-up for producing feature-film 
quality animation with fewer people and resources. While there are many 
other programs currently on the market to aid with the efficient production 
of 2D animation, we are currently unaware of any other software that can 
do what our software can.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%setup -q


%build
%configure
make %{?_smp_mflags} \
	CXXFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/ffmpeg/libavformat"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%doc examples
%config(noreplace) %{_sysconfdir}/%{name}_modules.cfg
%{_bindir}/%{name}
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}-config
%{_includedir}/%{name}-*
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Mon Oct 12 2009 Peter Hanecak <hany@hany.sk> 0.62.00-1
- updated to 0.62.00

* Tue Nov 25 2008 Peter Hanecak <hany@hany.sk> 0.61.09-1
- updated to 0.61.09
- dropped ffmep pach - not needed anymore

* Thu Jul 24 2008 Peter Hanecak <hany@hany.sk> 0.61.08-1
- initial spec
